/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/@DIRECTORY/SelfTest/include/top.h"

#ifndef MTI_SYSTEMC
# ifndef SYSTEMC
int main    (int argc, char * argv[])
# else
int sc_main (int argc, char * argv[])
# endif
{
  int _return = EXIT_SUCCESS;

  try 
    {
      top * my_top = new top ("my_top",argc,argv);

      my_top->test();

      delete my_top;
    }
  catch (morpheo::ErrorMorpheo & error)
    {
      msgError(_("%s\n"),error.what ());
      _return = EXIT_FAILURE;
    }
  
  try 
    {
      if (_return == EXIT_SUCCESS)
	TEST_OK("@COMPONENT : no error");
      else
	TEST_KO("@COMPONENT : a lot of error");
    }
  catch (morpheo::ErrorMorpheo & error)
    {
//    msgError(_("<%s> :\n%s"),name.c_str(), error.what ());
      _return = EXIT_FAILURE;
    }

  return _return;
}
#endif
